import React from "react";
import ParticlesLayout from "../ParticlesLayout";
import {Layout, Image} from "antd";

const {Content} = Layout;

const DesktopLayout = ({children, isGradient = false}) => {
    console.log({isGradient})
    return <ParticlesLayout>
        <Layout
            theme={"light"}
            className={`relative max-w-2xl mx-auto ${isGradient ? 'bg-[#F5F5F5]' : 'bg-[#FFFFFF]'}`}
            hasSider={true}>
            <Content>
                <div className={'min-h-screen'}>
                    <div className={'z-50'}>{children}</div>
                    {isGradient && (
                        <div className={'absolute bottom-0 z-0'}>
                            <Image className={'z-0 -mb-[7px]'} preview={false} alt={'background'}
                                   src={'/assets/backgrounds/bg-pattern.png'}/>
                        </div>
                    )}
                </div>
            </Content>
        </Layout>
    </ParticlesLayout>
}

export default DesktopLayout;
